## NMDeviceMacvlan NMDeviceMacvlan |

## Functions

NMDevice * | nm_device_macvlan_get_parent ()
const char * | nm_device_macvlan_get_mode ()
gboolean | nm_device_macvlan_get_no_promisc ()
gboolean | nm_device_macvlan_get_tap ()
4 | NM_DEPRECATED_IN_1_24_FOR ()

## Types and Values

#define | NM_DEVICE_MACVLAN_PARENT
#define | NM_DEVICE_MACVLAN_MODE
#define | NM_DEVICE_MACVLAN_NO_PROMISC
#define | NM_DEVICE_MACVLAN_TAP
#define | NM_DEVICE_MACVLAN_HW_ADDRESS

## Description

## Functions

### nm_device_macvlan_get_parent ()

    NMDevice *
    nm_device_macvlan_get_parent (NMDeviceMacvlan *device);

### nm_device_macvlan_get_mode ()

    const char *
    nm_device_macvlan_get_mode (NMDeviceMacvlan *device);

### nm_device_macvlan_get_no_promisc ()

    gboolean
    nm_device_macvlan_get_no_promisc (NMDeviceMacvlan *device);

### nm_device_macvlan_get_tap ()

    gboolean
    nm_device_macvlan_get_tap (NMDeviceMacvlan *device);

### NM_DEPRECATED_IN_1_24_FOR ()

    4
    NM_DEPRECATED_IN_1_24_FOR ();

`NM_DEPRECATED_IN_1_24_FOR` is deprecated and should not be used in newly-written code.

## Types and Values

### NM_DEVICE_MACVLAN_PARENT

    #define NM_DEVICE_MACVLAN_PARENT     "parent"

### NM_DEVICE_MACVLAN_MODE

    #define NM_DEVICE_MACVLAN_MODE       "mode"

### NM_DEVICE_MACVLAN_NO_PROMISC

    #define NM_DEVICE_MACVLAN_NO_PROMISC "no-promisc"

### NM_DEVICE_MACVLAN_TAP

    #define NM_DEVICE_MACVLAN_TAP        "tap"

### NM_DEVICE_MACVLAN_HW_ADDRESS

    #define NM_DEVICE_MACVLAN_HW_ADDRESS "hw-address"